hpp-corbaserver: ConstraintSet Class Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes | List of all members
ConstraintSet Class Reference

`#include <hpp/core_idl/_constraints-idl.hh>`

Inheritance diagram for ConstraintSet:
[legend]
Collaboration diagram for ConstraintSet:
[legend]

## Public Types
typedef ConstraintSet_ptr | _ptr_type
typedef ConstraintSet_var | _var_type
Public Types inherited from Constraint
typedef Constraint_ptr | _ptr_type
typedef Constraint_var | _var_type

## Public Member Functions
virtual | ~ConstraintSet ()
inline ::hpp::core_idl::ConstraintSet_ptr | _this ()
Public Member Functions inherited from Constraint
virtual | ~Constraint ()
inline ::hpp::core_idl::Constraint_ptr | _this ()

## Static Public Member Functions
static _ptr_type | _duplicate (_ptr_type)
static _ptr_type | _narrow (::CORBA::Object_ptr)
static _ptr_type | _unchecked_narrow (::CORBA::Object_ptr)
static _ptr_type | _nil ()
static void | _marshalObjRef (_ptr_type, cdrStream &)
static _ptr_type | _unmarshalObjRef (cdrStream &s)
static _ptr_type | _fromObjRef (omniObjRef *o)
Static Public Member Functions inherited from Constraint
static _ptr_type | _duplicate (_ptr_type)
static _ptr_type | _narrow (::CORBA::Object_ptr)
static _ptr_type | _unchecked_narrow (::CORBA::Object_ptr)
static _ptr_type | _nil ()
static void | _marshalObjRef (_ptr_type, cdrStream &)
static _ptr_type | _unmarshalObjRef (cdrStream &s)
static _ptr_type | _fromObjRef (omniObjRef *o)

## Static Public Attributes
static _core_attr const char * | _PD_repoId
Static Public Attributes inherited from Constraint
static _core_attr const char * | _PD_repoId

## Member Typedef Documentation

## ◆ _ptr_type

typedef ConstraintSet_ptr ConstraintSet::_ptr_type

## ◆ _var_type

typedef ConstraintSet_var ConstraintSet::_var_type

## Constructor & Destructor Documentation

## ◆ ~ConstraintSet()

virtual ConstraintSet::~ConstraintSet | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ _duplicate()

static _ptr_type ConstraintSet::_duplicate | ( | _ptr_type |  | ) |
| static

## ◆ _fromObjRef()

static _ptr_type ConstraintSet::_fromObjRef | ( | omniObjRef * | o | ) |
| inline static

## ◆ _marshalObjRef()

void ConstraintSet::_marshalObjRef | ( | _ptr_type | ,
|  | cdrStream & |
| ) |  |
| inline static

## ◆ _narrow()

static _ptr_type ConstraintSet::_narrow | ( | ::CORBA::Object_ptr |  | ) |
| static

## ◆ _nil()

static _ptr_type ConstraintSet::_nil | ( |  | ) |
| static

## ◆ _this()

inline ::hpp::core_idl::ConstraintSet_ptr ConstraintSet::_this | ( |  | ) |
| inline

## ◆ _unchecked_narrow()

static _ptr_type ConstraintSet::_unchecked_narrow | ( | ::CORBA::Object_ptr |  | ) |
| static

## ◆ _unmarshalObjRef()

static _ptr_type ConstraintSet::_unmarshalObjRef | ( | cdrStream & | s | ) |
| inline static

## Member Data Documentation

## ◆ _PD_repoId

_core_attr const char* ConstraintSet::_PD_repoId
| static

The documentation for this class was generated from the following file:

- src/hpp/core_idl/_constraints-idl.hh